<!DOCTYPE html>
<html lang="en">
<head>
  <title>CURSO DE PHP Y SQL - AZULWEB</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js"></script>
  <style>
  .fakeimg {
    height: 200px;
    background: #aaa;
  }
  </style>
</head>
<body>
<div class="jumbotron text-center" style="margin-bottom:0">
  <h1>Curso de PHP y SQL: Base de Datos</h1>
  <h4>Profesor: Pablo R. Gómez | www.azulschool.net</h4> 
</div>
<nav class="navbar navbar-expand-sm bg-dark navbar-dark">
	<div class="btn-group btn-group-lg align-items-center col-12">
	  <button type="button" class="btn ">SELECT</button>
	  <button type="button" class="btn ">WHERE</button>
	  <button type="button" class="btn btn-info">LIKE</button>
	  <button type="button" class="btn ">COUNT</button>
	  <button type="button" class="btn ">LIMIT</button>
	  <button type="button" class="btn ">PAGINACIÓN</button>
	  <button type="button" class="btn ">JOIN</button>
	  
	</div>	
</nav>

<div class="container" style="margin-top:30px">
  <div class="row">
    <div class="col-sm-12">
		<form class="form-inline mt-2 mt-md-0" method="POST">
			<input class="form-control mr-sm-2" type="text" name="contacto" placeholder="Buscar" aria-label="Search">
			<button class="btn btn-outline-success my-2 my-sm-0" type="submit">Busqueda</button>
		</form>     
    </div>
	<div class="col-sm-12" style="margin-top:20px">
		<table class="table">
		  <thead>
			<tr>
			  <th scope="col">Idcontacto</th>
			  <th scope="col">Nombres</th>
			  <th scope="col">Apellidos</th>
			  <th scope="col">Correo</th>
			  <th scope="col">Fecha de nacimiento</th>
			</tr>
		</thead>
		<tbody >
		<?php
		if(!empty($_POST))
		{
			require('conexion.php');
			$cadena = $_POST['contacto'];
			$sentencia = "SELECT *FROM contacto WHERE nombres LIKE '%".$cadena."%'";
			$consulta = mysqli_query($conexion,$sentencia);
			if (mysqli_num_rows($consulta) > 0)
			{
				while ($valor = mysqli_fetch_assoc($consulta))
				{
					echo "<tr>";
						echo "<td>"; echo $valor['idcontacto']; echo "</td>";
						echo "<td>"; echo $valor['nombres']; echo "</td>";
						echo "<td>"; echo $valor['apellidos']; echo "</td>";
						echo "<td>"; echo $valor['correo']; echo "</td>";
						echo "<td>"; echo $valor['fechadenacimiento']; echo "</td>";
					echo "</tr>";
				}
				
			}else{
					echo "<tr>";
						echo "<td>"; echo "NO SE ENCONTRARON VALORES..."; echo "</td>";
					echo "</tr>";
				
			}
					
		}			
		?>

		</tbody>
		</table>      
    </div>
  </div>
</div>

</body>
</html>
