-- phpMyAdmin SQL Dump
-- version 4.5.1
-- http://www.phpmyadmin.net
--
-- Servidor: 127.0.0.1
-- Tiempo de generación: 23-07-2020 a las 00:39:49
-- Versión del servidor: 10.1.16-MariaDB
-- Versión de PHP: 5.6.24

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de datos: `agenda`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `contacto`
--

CREATE TABLE `contacto` (
  `idcontacto` int(11) NOT NULL,
  `nombres` varchar(45) DEFAULT NULL,
  `apellidos` varchar(45) DEFAULT NULL,
  `correo` varchar(50) DEFAULT NULL,
  `fechadenacimiento` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `contacto`
--

INSERT INTO `contacto` (`idcontacto`, `nombres`, `apellidos`, `correo`, `fechadenacimiento`) VALUES
(1, 'Juan Antony', 'Vicallards', 'correo1@correo.com', '1999-10-25'),
(2, 'Maria', 'Gomez', 'correo2@correo.com', '1990-08-05'),
(3, 'Antonio', 'Hernandez', 'correo3@correo.com', '1989-07-15'),
(4, 'Pedro', 'Cifuentes', 'correo4@correo.com', '1988-10-28'),
(5, 'Itati del Carmen', 'Oz Peach', 'correo5@correo.com', '1999-05-30'),
(6, 'Manuel', 'Quisquina', 'correo6@correo.com', '1990-05-20'),
(7, 'Felipe', 'Bermudez', 'correo7@correo.com', '1989-12-10'),
(8, 'Marlen', 'Villareal', 'correo8@correo.com', '1988-12-01'),
(9, 'Teresa', 'Mendez', 'correo9@correo.com', '2000-11-12'),
(10, 'Gabriela', 'Trevi', 'correo10@correo.com', '1995-01-02');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `direccion`
--

CREATE TABLE `direccion` (
  `iddireccion` int(11) NOT NULL,
  `ubicacion` varchar(150) DEFAULT NULL,
  `referencia` varchar(100) DEFAULT NULL,
  `habilitado` tinyint(1) DEFAULT '1',
  `contacto_idcontacto` int(11) NOT NULL,
  `pais_idpais` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `direccion`
--

INSERT INTO `direccion` (`iddireccion`, `ubicacion`, `referencia`, `habilitado`, `contacto_idcontacto`, `pais_idpais`) VALUES
(1, 'Avenida las Americas', 'Casa No. 3-445', 1, 1, 1),
(2, 'Calle la reforma', 'Cerca de Farmacia el Baraton', 0, 2, 1),
(3, 'Condominio las Flores', 'Casa No. 22-44', 1, 3, 2),
(4, 'Residenciales la Estadia', 'Casa No. 123-100', 0, 4, 3),
(5, 'Condominio La Esfera', 'Casa No. 22-1212', 1, 5, 4),
(6, 'Calle los Arcos', 'Cerca de Tienda la Bendición', 1, 6, 5),
(8, 'Calle el Paso', 'N/E', 1, 8, 7),
(9, 'Residenciales Los Eucaliptos', 'N/E', 1, 9, 8),
(10, 'Calle Abraham Lincoln', 'Casa 2-12', 0, 10, 8),
(11, 'Calle 29 de junio', 'Casa 3-15', 1, 1, 9),
(12, 'Calle real', 'A dos casas del parque', 1, 2, 10),
(13, 'Avenida Constitucional A', 'A la par de Elektra', 1, 5, 8),
(14, 'Colonia las Flores', 'Casa No. 100', 1, 6, 4);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `pais`
--

CREATE TABLE `pais` (
  `idpais` int(11) NOT NULL,
  `nombre` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `pais`
--

INSERT INTO `pais` (`idpais`, `nombre`) VALUES
(1, 'España'),
(2, 'Mexico'),
(3, 'Guatemala'),
(4, 'Estados Unidios'),
(5, 'Argentina'),
(6, 'Brasil'),
(7, 'Alemania'),
(8, 'Italia'),
(9, 'Australia'),
(10, 'Nigeria');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `telefono`
--

CREATE TABLE `telefono` (
  `idtelefono` int(11) NOT NULL,
  `numero` int(11) DEFAULT NULL,
  `contacto_idcontacto` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `telefono`
--

INSERT INTO `telefono` (`idtelefono`, `numero`, `contacto_idcontacto`) VALUES
(1, 44444444, 1),
(2, 44444445, 1),
(3, 55555555, 2),
(4, 66666666, 3),
(5, 12121212, 4),
(6, 12121213, 4),
(7, 77777777, 5),
(8, 88888888, 6),
(9, 44554455, 7),
(10, 55665566, 7),
(11, 66776677, 8),
(12, 77887788, 9),
(13, 88998899, 10);

--
-- Índices para tablas volcadas
--

--
-- Indices de la tabla `contacto`
--
ALTER TABLE `contacto`
  ADD PRIMARY KEY (`idcontacto`);

--
-- Indices de la tabla `direccion`
--
ALTER TABLE `direccion`
  ADD PRIMARY KEY (`iddireccion`),
  ADD KEY `fk_direccion_contacto1_idx` (`contacto_idcontacto`),
  ADD KEY `fk_direccion_pais1_idx` (`pais_idpais`);

--
-- Indices de la tabla `pais`
--
ALTER TABLE `pais`
  ADD PRIMARY KEY (`idpais`);

--
-- Indices de la tabla `telefono`
--
ALTER TABLE `telefono`
  ADD PRIMARY KEY (`idtelefono`),
  ADD KEY `fk_telefono_contacto_idx` (`contacto_idcontacto`);

--
-- AUTO_INCREMENT de las tablas volcadas
--

--
-- AUTO_INCREMENT de la tabla `contacto`
--
ALTER TABLE `contacto`
  MODIFY `idcontacto` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=11;
--
-- AUTO_INCREMENT de la tabla `direccion`
--
ALTER TABLE `direccion`
  MODIFY `iddireccion` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=15;
--
-- AUTO_INCREMENT de la tabla `pais`
--
ALTER TABLE `pais`
  MODIFY `idpais` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=11;
--
-- AUTO_INCREMENT de la tabla `telefono`
--
ALTER TABLE `telefono`
  MODIFY `idtelefono` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=14;
--
-- Restricciones para tablas volcadas
--

--
-- Filtros para la tabla `direccion`
--
ALTER TABLE `direccion`
  ADD CONSTRAINT `fk_direccion_contacto1` FOREIGN KEY (`contacto_idcontacto`) REFERENCES `contacto` (`idcontacto`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_direccion_pais1` FOREIGN KEY (`pais_idpais`) REFERENCES `pais` (`idpais`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `telefono`
--
ALTER TABLE `telefono`
  ADD CONSTRAINT `fk_telefono_contacto` FOREIGN KEY (`contacto_idcontacto`) REFERENCES `contacto` (`idcontacto`) ON DELETE NO ACTION ON UPDATE NO ACTION;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
