<!DOCTYPE html>
<html lang="en">
<head>
  <title>CURSO DE PHP Y SQL - AZULWEB</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js"></script>
  <style>
  .fakeimg {
    height: 200px;
    background: #aaa;
  }
  </style>
</head>
<body>
<div class="jumbotron text-center" style="margin-bottom:0">
  <h1>Curso de PHP y SQL: Base de Datos</h1>
  <h4>Profesor: Pablo R. Gómez | www.azulschool.net</h4> 
</div>
<nav class="navbar navbar-expand-sm bg-dark navbar-dark">
	<div class="btn-group btn-group-lg align-items-center col-12">
	  <button type="button" class="btn btn-success"><a href="formulario.php">AGREGAR CONTACTO</a></button>
	</div>	
</nav>
<div class="container" style="margin-top:30px">
  <div class="row">
    <div class="col-sm-12 alert-primary">
		<table class="table">
		  <thead>
			<tr>
			  <th scope="col">Iddireccion</th>
			  <th scope="col">Ubicacion</th>
			  <th scope="col">Referencia</th>
			  <th scope="col">idContacto</th>
			  <th scope="col">idPais</th>
			</tr>
		  </thead>
		  <tbody>
			<?php
				require('conexion.php');
				$sentencia = "SELECT 
				direccion.iddireccion AS direccion_id,
				direccion.ubicacion AS direccion_ubicacion,
				direccion.referencia AS direccion_referencia,
				contacto.nombres AS contacto_nombre,
				pais.nombre AS pais_nombre
				FROM direccion INNER JOIN contacto ON direccion.contacto_idcontacto = contacto.idcontacto
				INNER JOIN pais ON direccion.pais_idpais = pais.idpais";
				$consulta = mysqli_query($conexion,$sentencia);
				while ($valor = mysqli_fetch_assoc($consulta))
				{
					echo "<tr>";
						echo "<td>"; echo $valor['direccion_id']; echo "</td>";
						echo "<td>"; echo $valor['direccion_ubicacion']; echo "</td>";
						echo "<td>"; echo $valor['direccion_referencia']; echo "</td>";
						echo "<td>"; echo $valor['contacto_nombre']; echo "</td>";
						echo "<td>"; echo $valor['pais_nombre']; echo "</td>";

					echo "</tr>";
					
					
				}
			?>			
		  </tbody>
		</table>      
    </div>
  </div>
</div>

</body>
</html>
