<!DOCTYPE html>
<html lang="en">
<head>
  <title>CURSO DE PHP Y SQL - AZULWEB</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js"></script>
  <style>
  .fakeimg {
    height: 200px;
    background: #aaa;
  }
  </style>
</head>
<body>
<div class="jumbotron text-center" style="margin-bottom:0">
  <h1>Curso de PHP y SQL: Base de Datos</h1>
  <h4>Profesor: Pablo R. Gómez | www.azulschool.net</h4> 
</div>
<nav class="navbar navbar-expand-sm bg-dark navbar-dark">
	<div class="btn-group btn-group-lg align-items-center col-12">
	  <button type="button" class="btn">SELECT</button>
	  <button type="button" class="btn btn-info ">WHERE</button>
	  <button type="button" class="btn ">LIKE</button>
	  <button type="button" class="btn ">COUNT</button>
	  <button type="button" class="btn ">LIMIT</button>
	  <button type="button" class="btn ">PAGINACIÓN</button>
	  <button type="button" class="btn ">JOIN</button>
	  
	</div>	
</nav>

<div class="container" style="margin-top:30px">
  <div class="row">
    <div class="col-sm-12 alert-primary">
		<table class="table">
		  <thead>
			<tr>
			  <th scope="col">Idcontacto</th>
			  <th scope="col">Nombres</th>
			  <th scope="col">Apellidos</th>
			  <th scope="col">Correo</th>
			  <th scope="col">Fecha de nacimiento</th>
			</tr>
		  </thead>
		  <tbody>
			<?php
				require('conexion.php');
				//$sentencia = "SELECT *FROM contacto WHERE idcontacto = 4";
				//$sentencia = "SELECT *FROM contacto WHERE nombres = 'Maria' AND idcontacto=2";
				$sentencia = "SELECT *FROM contacto WHERE nombres = 'Maria' OR idcontacto=1";
				$consulta = mysqli_query($conexion,$sentencia);
				while ($valor = mysqli_fetch_assoc($consulta))
				{
					echo "<tr>";
						echo "<td>"; echo $valor['idcontacto']; echo "</td>";
						echo "<td>"; echo $valor['nombres']; echo "</td>";
						echo "<td>"; echo $valor['apellidos']; echo "</td>";
						echo "<td>"; echo $valor['correo']; echo "</td>";
						echo "<td>"; echo $valor['fechadenacimiento']; echo "</td>";
					echo "</tr>";
					
					
				}
			?>			
		  </tbody>
		</table>      
    </div>
  </div>
</div>

</body>
</html>
